<?php
require_once ("../../config/Cado.php");
require_once ("../tipocambio/cTipocambio.php");
require_once("../formatos/formato.php");
$oTipocambio = new cTipocambio();
if($_POST['action']=="insertar"){
	$fec=date('d-m-Y');
	if($_POST['fec']!="")$fec=$_POST['fec'];
}
if($_POST['action']=="editar"){
	$dts=$oTipocambio->mostrarUno($_POST['tipcam_id']);
	$dt = mysqli_fetch_array($dts);
	$reg=mostrarFechaHora($dt['tb_tipocambio_reg']);
	$mod=mostrarFechaHora($dt['tb_tipocambio_mod']);
	$fec=mostrarFecha($dt['tb_tipocambio_fec']);
	$val=$dt['tb_tipocambio_dolsun'];
	mysqli_free_result($dts);
}
?>
<!-- Form content -->
			
	<form id="for_tipcam" action="POST">
					<div class="box-header">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
					<h3 class="box-title">Información de Cambio</h3>
					</div>
					
		<div class="box-body">
				<div class="form-group">
							<div class="row">       
						
						<input name="action_tipocambio" id="action_tipocambio" type="hidden" value="<?php echo $_POST['action']?>">
						<input name="hdd_tipcam_id" id="hdd_tipcam_id" type="hidden" value="<?php echo $_POST['tipcam_id']?>">	 
						
					<div class=" col-lg-3 col-xs-6 form-group">
                  <label>Fecha :</label>
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
                    </div>
                    <input name="txt_tipcam_fec" type="text" id="txt_tipcam_fec" value="<?php echo $fec;?>" class="form-control" >
                  </div>
                </div>
				
						<div class="col-lg-4 col-xs-12">
							<label for="txt_tipcam_val">Cambio:</label>
							<input name="txt_tipcam_val" type="text"  id="txt_tipcam_val" style="text-align:right" value="<?php echo $val?>" maxlength="5" class="form-control"> 							 
						</div>
						
						
						
						</div>
				</div>
		</div>
		
		</form>
					
					
					
					
					<div class="col-lg-12 col-xs-12" style="height:20px;"> 						 
					</div> 
		
			
<div class="box-footer  float-right">
	<button type="button" class="btn btn-default pull-left" id="cancel" data-dismiss="modal">Cancelar</button>
	<button type="button" class="btn btn-primary pull-right" id="save_form">Guardar</button>
</div>
<script type="text/javascript">
	
	
	$("#save_form").click(function() {
		$("#for_tipcam").submit();
	});
	$(document).ready(function() {
		$('#txt_tipcam_fec').datepicker({
			format: 'dd-mm-yyyy',
			autoclose:true			
			
		});
		$('#txt_tipcam_val').click(function(){
			$("#div_tipocambio_consulta_sunat").html("");
		});
		$('#for_tipcam').bootstrapValidator({
	      //live: 'disabled',
	      message: 'Valor no valido',
	      feedbackIcons: {
	      	valid: 'glyphicon glyphicon-ok',
	      	invalid: 'glyphicon glyphicon-remove',
	      	validating: 'glyphicon glyphicon-refresh'
	      },
	      fields: {
	      	txt_tipcam_fec: {
	      		group: '.col-lg-4',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			},
	      			date: {
	      				format: 'DD-MM-YYYY', 
	      				message: 'Fecha no Valida'
	      			}
	      		}
	      	},
	      	txt_tipcam_val: {
	      		group: '.col-lg-4',
	      		validators: {
	      			notEmpty: {
	      				message: 'Este campo es requerido'
	      			},
	      			numeric: {
	      				message: 'Número no Valido',
                            // The default separators
                            thousandsSeparator: '',
                            decimalSeparator: '.'
                        }
                    }
                }
            }
        }).on('success.form.bv', function(e) {
        	$.ajax({
        		type: "POST",
        		url: "../tipocambio/tipocambio_reg.php",
        		async:false,
        		dataType: "json",
        		data: $("#for_tipcam").serialize(),
        		beforeSend: function(){
        			
        		},
        		success: function(data){ 
        			$('#div_tipocambio_form_dialog').modal('toggle');
        		
					toastr["info"](data.tipcam_msj);
					
   
        			<?php
        			if($_POST['vista']=="cmb_tipcam_id")
        			{
        				echo $_POST['vista'].'(data.moncam_id);';
        			}
        			?>
        			<?php if($_POST['vista']=="cambio_tipop"){?>
        				cambio_tipop(2);
        				calculo();
        				<?php }?>
        			},
        			complete: function(){
        				<?php
        				if($_POST['vista']=="tipocambio_tabla"){
        					echo $_POST['vista'].'();';
        				}
        				?>
        				<?php
        				if($_POST['vista']=="cambio_moneda"){
        					echo $_POST['vista'].'();';
        				}
        				?>
        			}
        		});	 
        });
        $('#txt_tipcam_val').focus();
    });	
</script>